org.apache.poi.hsmf

## Enum MAPIMessage.MESSAGE_CLASS

- java.lang.Object
- - java.lang.Enum<MAPIMessage.MESSAGE_CLASS>
  - - org.apache.poi.hsmf.MAPIMessage.MESSAGE_CLASS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MAPIMessage.MESSAGE_CLASS>
  Enclosing class:
    MAPIMessage

      public static enum MAPIMessage.MESSAGE_CLASS
      extends java.lang.Enum<MAPIMessage.MESSAGE_CLASS>

  A MAPI file can be an email (NOTE) or a number of other types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPOINTMENT`
    `CONTACT`
    `NOTE`
    `POST`
    `STICKY_NOTE`
    `TASK`
    `UNKNOWN`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MAPIMessage.MESSAGE_CLASS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MAPIMessage.MESSAGE_CLASS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPOINTMENT

          public static final MAPIMessage.MESSAGE_CLASS APPOINTMENT

    - #### CONTACT

          public static final MAPIMessage.MESSAGE_CLASS CONTACT

    - #### NOTE

          public static final MAPIMessage.MESSAGE_CLASS NOTE

    - #### POST

          public static final MAPIMessage.MESSAGE_CLASS POST

    - #### STICKY_NOTE

          public static final MAPIMessage.MESSAGE_CLASS STICKY_NOTE

    - #### TASK

          public static final MAPIMessage.MESSAGE_CLASS TASK

    - #### UNKNOWN

          public static final MAPIMessage.MESSAGE_CLASS UNKNOWN

    - #### UNSPECIFIED

          public static final MAPIMessage.MESSAGE_CLASS UNSPECIFIED

  - ### Method Detail

    - #### values

          public static MAPIMessage.MESSAGE_CLASS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MAPIMessage.MESSAGE_CLASS c : MAPIMessage.MESSAGE_CLASS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MAPIMessage.MESSAGE_CLASS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.